kdc: Move _krb5_pac_get_attributes_info() call to right place
[lorikeet-heimdal.git] / autogen.sh
index 8f6e35eeda14e841bee788b39d440fa6ac5448b4..0817912cd811118fab32a35717f16dddde9525ab 100755 (executable)
@@ -1,8 +1,17 @@
 #!/bin/sh
+#
 # to really generate all files you need to run "make distcheck" in a
 # object tree, but this will do if you have all parts of the required
 # tool-chain installed
-PATH=/usr/local/bin:$PATH
-/usr/local/bin/autoreconf -f -i || { echo "autoreconf failed: $?"; exit 1; }
-find . -name '*-private.h' -delete
-find . -name '*-protos.h' -delete
+set -e
+autoreconf -f -i || { echo "autoreconf failed: $?"; exit 1; }
+find . \( -name '*-private.h' -o -name '*-protos.h' \) | xargs rm -f
+perl -MJSON -e 'print foo;' || \
+    { echo "you must install JSON perl module (cpan install JSON)"; exit 1; }
+#
+# This is to build the DISTFILES into the disttree for heimdal-lorikeet
+#
+./configure || exit 1
+make distdir-in-tree || exit 1
+make distclean || exit 1
+exit 0